%define module_name hachoir-wx

Summary:    	A user interface in WxPython for the hachoir framework
Name: 		python-%{module_name}
Version: 	0.3
Release: 	%mkrel 11
Source0: 	http://cheeseshop.python.org/packages/source/h/%{module_name}/%{module_name}-%{version}.tar.gz
# version.py specifies GPLv2
License:	GPLv2
Group: 		Development/Python
URL: 		http://hachoir.org/wiki/hachoir-parser
BuildArch:	noarch
BuildRequires:	pythonegg(2)(setuptools)

Requires:	python-hachoir-core
Requires:	python-hachoir-parser
Requires:	wxPythonGTK

%description
hachoir-parser is a package of most common file format parsers written
using hachoir-core. Not all parsers are complete, some are very good and
other are poor: only parse first level of the tree for example.

A perfect parser have no "raw" field: with a perfect parser you are able
to know *each* bit meaning. Some good (but not perfect ;-)) parsers:

    * Matroska video
    * Microsoft RIFF (AVI video, WAV audio, CDA file)
    * PNG picture
    * TAR and ZIP archive

%prep
%setup -q -n %{module_name}-%{version}

%build
%py2_build

%install
%define install_parameters --record=INSTALLED_FILES
%py2_install %install_parameters

%files
%doc AUTHORS COPYING README
%{_bindir}/*
%{python2_sitelib}/*


%changelog
* Tue Feb 02 2016 daviddavid <daviddavid> 0.3-11.mga6
+ Revision: 931936
- use new python macros

* Mon Feb 01 2016 umeabot <umeabot> 0.3-10.mga6
+ Revision: 929716
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.3-9.mga5
+ Revision: 740010
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 0.3-8.mga5
+ Revision: 728730
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 0.3-7.mga5
+ Revision: 688077
- Mageia 5 Mass Rebuild

  + pterjan <pterjan>
    - Rebuild for new Python

* Tue Oct 22 2013 umeabot <umeabot> 0.3-5.mga4
+ Revision: 543508
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 pterjan <pterjan> 0.3-4.mga4
+ Revision: 498715
- Rebuild to add different pythonegg provides for python 2 and 3

* Sun Jan 13 2013 umeabot <umeabot> 0.3-3.mga3
+ Revision: 378975
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Sep 15 2011 mikala <mikala> 0.3-2.mga2
+ Revision: 143935
- Remove %%defattr(), BuildRoot & %%clean section
- imported package python-hachoir-wx


* Wed Nov 17 2010 Funda Wang <fwang@mandriva.org> 0.3-2mdv2011.0
+ Revision: 598272
- rebuild for py2.7

* Tue Sep 15 2009 Thierry Vignaud <tv@mandriva.org> 0.3-2mdv2010.0
+ Revision: 442181
- rebuild

* Sat Dec 27 2008 Adam Williamson <awilliamson@mandriva.org> 0.3-1mdv2009.1
+ Revision: 320004
- drop wxpython2.6 dep (works fine with 2.8)
- clean spec
- new release 0.3

* Wed Jul 23 2008 Thierry Vignaud <tv@mandriva.org> 0.1.2-3mdv2009.0
+ Revision: 242417
- rebuild
- kill re-definition of %%buildroot on Pixel's request
- fix summary-ended-with-dot

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Tue Jul 17 2007 Jérôme Soyer <saispo@mandriva.org> 0.1.2-1mdv2008.0
+ Revision: 52879
- Fix Build
- Import python-hachoir-wx

